{% extends "base.html" %}
{% load static %}

{% block content %}

<head>
    <title> Departments </title>
    <style type="text/css">
        table {
            font-size: 110%;

        }

        th {
            text-align: left;
            background: #53d6bb;
            padding: 5px;
            border: 1px solid black;
        }

        td {
            padding: 4px;
            border: 1px solid black;
        }
    </style>

    <script type="text/javascript">
        function search_bm() {
            var input, table, tr, td, filter, i, txtres;
            input = document.getElementById("search_bm");
            filter = input.value.toUpperCase();
            table = document.getElementById("t_e");
            tr = table.getElementsByTagName("tr");
            for (i = 0; i < tr.length; i++) {
                td = tr[i].getElementsByTagName("td")[2];
                if (td) {
                    txtres = td.innerText;
                    if (txtres.toUpperCase().indexOf(filter) > -1) {
                        tr[i].style.display = "";
                    } else {
                        tr[i].style.display = "none";
                    }
                }
            }

        }
    </script>
</head>

<body>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
    <script type="text/javascript">
        function searchman() {
            var input, table, tr, td, filter, i, txtres;
            input = document.getElementById("search_m");
            filter = input.value.toUpperCase();
            table = document.getElementById("t_e");
            tr = table.getElementsByTagName("tr");
            for (i = 0; i < tr.length; i++) {
                td = tr[i].getElementsByTagName("td")[1];
                if (td) {
                    txtres = td.innerText;
                    if (txtres.toUpperCase().indexOf(filter) > -1) {
                        tr[i].style.display = "";
                    } else {
                        tr[i].style.display = "none";
                    }
                }
            }

        }
    </script>


    <center>
        <h2>Filter Options</h2>




        <script type="text/javascript">
            function searchname() {
                var input, table, tr, td, filter, i, txtdata;
                input = document.getElementById("name");
                filter = input.value.toUpperCase();
                table = document.getElementById("t_e");
                tr = table.getElementsByTagName("tr");
                for (i = 0; i < tr.length; i++) {
                    td = tr[i].getElementsByTagName("td")[0];
                    if (td) {
                        txtdata = td.innerText;
                        if (txtdata.toUpperCase().indexOf(filter) > -1) {
                            tr[i].style.display = "";
                        } else {
                            tr[i].style.display = "none";
                        }
                    }
                }
            }
        </script>

        <script type="text/javascript">
            function searche_n() {
                var input, table, tr, td, filter, i, txtdata;
                input = document.getElementById("e_n");
                filter = input.value.toUpperCase();
                table = document.getElementById("t_e");
                tr = table.getElementsByTagName("tr");
                for (i = 0; i < tr.length; i++) {
                    td = tr[i].getElementsByTagName("td")[3];
                    if (td) {
                        txtdata = td.innerText;
                        if (txtdata.toUpperCase().indexOf(filter) > -1) {
                            tr[i].style.display = "";
                        } else {
                            tr[i].style.display = "none";
                        }
                    }
                }
            }
        </script>

        <script type="text/javascript">
            function searchsalary() {
                var input, table, tr, td, filter, i, txtdata;
                input = document.getElementById("salary");
                filter = input.value.toUpperCase();
                table = document.getElementById("t_e");
                tr = table.getElementsByTagName("tr");
                for (i = 0; i < tr.length; i++) {
                    td = tr[i].getElementsByTagName("td")[4];
                    if (td) {
                        txtdata = td.innerText;
                        if (txtdata.toUpperCase().indexOf(filter) > -1) {
                            tr[i].style.display = "";
                        } else {
                            tr[i].style.display = "none";
                        }
                    }
                }
            }
        </script>



        <hr />
        <br>
        <label for="name">Name:</label>
        <input type="text" id="name" onkeyup="searchname();" />


        <label for="search_m">Manager:</label>
        <select id="search_m" onchange="searchman();">
            <option selected>----Search----</option>
            <option value="1">Cynthia Manning</option>
            <option value="2">Craig Moore</option>
            <option value="3">Astra Holloway</option>
            <option value="4">Hedley Curtis</option>
            <option value="5">Leon Mancey</option>
            <option value="6">Portia Mueller</option>
            <option value="7">Hilda Holloway</option>
            <option value="8">Harding Bryant</option>
            <option value="9">Sharon Bray</option>
            <option value="10">Alea Conway</option>
            <option value="11">Malika Bousaid</option>
        </select>


        <label for="search_bm">Board Member:</label>
        <select id="search_bm" onchange="search_bm();">
            <option disabled selected>----Search----</option>
            <option value="2">Christine Aguirre</option>
            <option value="3">Eric Walters</option>
            <option value="4">Casey Jimenez</option>

        </select>
        <br>
        <br>
        <label for="salary">Salary:</label>
        <input type="text" id="salary" onkeyup="searchsalary();" />


        <label for="e_n">Number of Employees:</label>
        <input type="text" id="e_n" onkeyup="searche_n();" />

    </center>
    <hr />
    <center>
        <h1>Departments list</h1>


        <table class="table" border="1" id="t_e">
            <tr>
                <th> Name</th>
                <th> Manager</th>
                <th> Board Member</th>
                <th> Number of Employees</th>
                <th> Median Salary</th>
            </tr>
            {% for data in Department%}
            <tr>
                <td>
                    {{data.1}}
                </td>
                <td>
                    {{data.2}}
                </td>
                <td>
                    {{data.3}}
                </td>
                <td>
                    {{data.5}}
                </td>
                <td>
                    {{data.4}}
                </td>
                {% endfor %}

            </tr>
        </table>
    </center>
</body>


{% endblock content%}